Package com.sas.services.information.metadata

# Class OMRProxy

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRConnection
com.sas.services.information.metadata.OMRTCPIPConnection
com.sas.services.information.metadata.OMRProxy

All Implemented Interfaces:
  `ConnectionInterface`, `MetadataInterface`, `ProxyInterface`, `TCPIPConnectionInterface`, `PublicObjectInterface`, `com.sas.storage.editableproperties.SubstitutionProperties`, `Serializable`, `Remote`

public class OMRProxy extends OMRTCPIPConnection implements ProxyInterface
OMRProxy

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static int[]`
  `m_defPorts`
  `protected static String[]`
  `m_supportedSchemes`
  `protected static final String`
  `PROXY_APP_PROTOCOL`
  `protected static final String`
  `PROXY_PATH_PROPNAME`

  ### Fields inherited from class com.sas.services.information.metadata.OMRTCPIPConnection

  `CURRENT_VERSION, OLDEST_VERSION`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

  ### Fields inherited from interface com.sas.storage.editableproperties.SubstitutionProperties

  `PROPERTY_SUFFIX_DIRPATH, PROPERTY_SUFFIX_FILEPATH, PROPERTY_SUFFIX_HOST, PROPERTY_SUFFIX_PORT, PROPERTY_SUFFIX_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl o)`
  Constructor for the OMRProxy class
  `OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl_Stub o)`
  Constructor for the OMRProxy class
  `OMRProxy(com.sas.metadata.remote.TCPIPConnection o)`
  Constructor for the OMRProxy class
  `OMRProxy(RepositoryInterface repos, String name, FolderInterface parent)`
  Constructor for the OMRProxy object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPath()`
  Returns the path for this Proxy
  `String`
  `getScheme()`
  Returns the scheme for this Proxy
  `String`
  `getURI()`
  Returns the URI for this proxy
  `void`
  `setPath(String path)`
  Sets the path for this Proxy
  `void`
  `setScheme(String scheme)`
  Sets the scheme for this Proxy
  `void`
  `setURI(String uri)`
  Sets the URI for this Proxy

  ### Methods inherited from class com.sas.services.information.metadata.OMRTCPIPConnection

  `getHost, getPort, getService, getSubstitutionProperties, getType, setHost, setPort, setService, setSubstitutionProperties`

  ### Methods inherited from class com.sas.services.information.metadata.OMRConnection

  `addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface

  `addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.TCPIPConnectionInterface

  `getHost, getPort, getService, setHost, setPort, setService`

- ## Field Details

  - ### PROXY_PATH_PROPNAME

    protected static final String PROXY_PATH_PROPNAME
    See Also:
      - Constant Field Values

  - ### PROXY_APP_PROTOCOL

    protected static final String PROXY_APP_PROTOCOL
    See Also:
      - Constant Field Values

  - ### m_supportedSchemes

    protected static String[] m_supportedSchemes

  - ### m_defPorts

    protected static int[] m_defPorts

- ## Constructor Details

  - ### OMRProxy

    public OMRProxy(com.sas.metadata.remote.TCPIPConnection o) throws RemoteException
    Constructor for the OMRProxy class
    Parameters:
      `o` - TCPIPConnection object to model OMRProxy
    Throws:
      `RemoteException`

  - ### OMRProxy

    public OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl o) throws RemoteException
    Constructor for the OMRProxy class
    Parameters:
      `o` - TCPIPConnectionImpl object to model OMRProxy
    Throws:
      `RemoteException`

  - ### OMRProxy

    public OMRProxy(com.sas.metadata.remote.impl.TCPIPConnectionImpl_Stub o) throws RemoteException
    Constructor for the OMRProxy class
    Parameters:
      `o` - TCPIPConnectionImpl_Stub object to model OMRProxy
    Throws:
      `RemoteException`

  - ### OMRProxy

    public OMRProxy(RepositoryInterface repos, String name, FolderInterface parent) throws RemoteException
    Constructor for the OMRProxy object
    Parameters:
      `repos` - The repository to create this object in
      `name` - The name of the object to create
      `parent` - The parent folder of the object
    Throws:
      `RemoteException`

- ## Method Details

  - ### getPath

    public String getPath() throws ServiceException, RemoteException
    Description copied from interface: `ProxyInterface`
    Returns the path for this Proxy
    Specified by:
      `getPath` in interface `ProxyInterface`
    Returns:
      String representing the path for this proxy
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getScheme

    public String getScheme() throws RemoteException
    Description copied from interface: `ProxyInterface`
    Returns the scheme for this Proxy
    Specified by:
      `getScheme` in interface `ProxyInterface`
    Returns:
      String representing the scheme for this proxy
    Throws:
      `RemoteException`

  - ### getURI

    public String getURI() throws ServiceException, RemoteException
    Description copied from interface: `ProxyInterface`
    Returns the URI for this proxy
    Specified by:
      `getURI` in interface `ProxyInterface`
    Returns:
      String representing the URI for this proxy
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPath

    public void setPath(String path) throws RemoteException, ServiceException
    Description copied from interface: `ProxyInterface`
    Sets the path for this Proxy
    Specified by:
      `setPath` in interface `ProxyInterface`
    Parameters:
      `path` - Path to set for this proxy
    Throws:
      `RemoteException`
      `ServiceException`

  - ### setScheme

    public void setScheme(String scheme) throws RemoteException
    Description copied from interface: `ProxyInterface`
    Sets the scheme for this Proxy
    Specified by:
      `setScheme` in interface `ProxyInterface`
    Parameters:
      `scheme` - Scheme to set for this Proxy
    Throws:
      `RemoteException`

  - ### setURI

    public void setURI(String uri) throws ServiceException, RemoteException
    Description copied from interface: `ProxyInterface`
    Sets the URI for this Proxy
    Specified by:
      `setURI` in interface `ProxyInterface`
    Parameters:
      `uri` - The uri to set for this proxy
    Throws:
      `ServiceException`
      `RemoteException`